// ------------------------------------------
// Schnittstellenbeschreibung für Stack
// ------------------------------------------


/* Datentypdefinitionen */

typedef union wurst {				// Typ des zu speichernden Inhalts
	int i;
	char c;
	float f;
} data_t;

typedef struct irgendwas *stack_t;		// Typ des Stacks selbst (Nutzer legt sich eine Variable dieses Typs an)
						// 	Genaue Struktur der Datenhaltung wird in struct.c festgelegt und
						//	bleibt den Anwender deshalb verborgen

/* Funktionsdefinitionen */

int stack_push(data_t content, stack_t stack);	// Element auf Stack speichern
						//	content	<- zu speichernder Inhalt
						//	stack	<- Stack auf welchem Inhalt gespeichert werden soll
						//
						//	return:	0 - bei Erfolg
						//		1 - bei Misserfolg

int stack_pop(data_t *dest, stack_t stack);	// Element auslesen und entfernen
						//	dest	<- Zieladresse an welcher das ausgelesene Element abgelegt wird
						//	stack	<- Stack von welchem der Inhalt gelesen wird
						//	
						//	return	0 - bei Erfolg
						//		1 - bei Misserfolg

stack_t stack_create();				// Neuen Stack anlegen
						//
						//	return  neu angelegter Stack - bei Erfolg
						//		NULL - bei Misserfolg

int stack_destroy(stack_t stack);		// Stack entfernen
						//	stack <- Stack der entfernt werden soll
						//
						//	return 	0 - bei Erfolg
						//		1 - bei Misserfolg
